package com.wms.constants.enums;

/**
 * 接口响应码枚举
 */
public enum ResponseCode {
    OK(0, "正常"),
    WARNING(200, "警告"),
    ERROR(999, "异常");

    private final Integer code;

    private final String value;

    ResponseCode(Integer code, String value) {
        this.code = code;
        this.value = value;
    }

    public Integer getCode() {
        return code;
    }

    public String getValue() {
        return value;
    }
}
